self: super:
with self;
with self.lib;
let
  mapAttrs = super.stdenv.lib.mapAttrs;
  flip = super.stdenv.lib.flip;
  callPackage = super.lib.callPackageWith self;
  _self = {
    xPlaneEnv = callPackage ./x-plane { xplanePathStr = "/home/games/xplane";
      addons = [ headshake beautifulRoads samBasic samGlobalTrees flyWithLua vividSky airportEnvHD betterLights extendedNightLights ]; };
    xPlaneSDK = callPackage ./x-plane/sdk.nix {};

    airportEnvHD = callPackage ./x-plane/airport-env-hd.nix {};
    beautifulRoads = callPackage ./x-plane/beautiful-roads.nix {};
    betterLights = callPackage ./x-plane/better-lights.nix {};
    extendedNightLights = callPackage ./x-plane/enl {};
    flyWithLua = callPackage ./x-plane/fly-with-lua.nix {};
    headshake = callPackage ./x-plane/headshake {};
    mkXPlaneAddon = callPackage ./x-plane/addon.nix {};
    samSuite = callPackage ./x-plane/sam-suite {};
    samBasic = callPackage ./x-plane/sam-suite/sam-basic.nix {};
    samGlobalTrees = callPackage ./x-plane/sam-suite/global-trees.nix {};
    vividSky = callPackage ./x-plane/vivid-sky.nix {};

    # flightgear = libsForQt5.callPackage ./flightgear { };
    # openscenegraph = callPackage ./openscenegraph.nix { inherit (xorg) libX11 libXrandr; };
    # simgear = callPackage ./simgear.nix { inherit (xorg) libX11 libXext libXi libICE
    #                                                      libSM libXmu xextproto inputproto
    #                                                      xproto libXt; };
    # obnam = callPackage ./obnam { };
    #pdfchain = callPackage ./pdfchain { };
    # z3 = callPackage ./z3 { };
    # stormChecker = callPackage ./storm-checker { ltoSupport = false; tbbSupport = false; mathsatSupport = false; z3Support = false; };
    # carl = callPackage ./carl { };
    # googletest = callPackage ./googletest { };
    # l3pp = callPackage ./l3pp { };
    # mathsat = callPackage ./mathsat { };

    foxitreader = callPackage ./foxitreader.nix { openssl = super.openssl_1_0_2; };
    # Used to run diskover file crawler
    rq = callPackage ./rq { };

    pharo-with-libs = callPackage ./pharo.nix { libgit2_32 = super.pkgsi686Linux.libgit2; };

    # latest.rustChannels =
    #   flip mapAttrs self.latest.rustChannels (name: value: value // {
    #     rust = value.rust.override {
    #       extensions = ["rust-src"];
    #     };
    #   });
    # # pijul = callPackage ./pijul.nix { rustPlatform = super.makeRustPlatform { inherit (self.rustChannelOf { date = "2019-01-04"; channel = "nightly"; }) rustc cargo; }; };
    # pijul = callPackage ./pijul.nix { rustPlatform = super.makeRustPlatform { inherit (_self.latest.rustChannels.nightly) rustc cargo; }; };
    myR = super.rWrapper.override { packages = with super.rPackages; [ ggplot2 lintr tikzDevice rlang ]; };
    ledgerTools = callPackage ./ledger-tools { };
  };
in _self
