{ stdenv, fetchurl, python2Packages, gnupg }:

python2Packages.buildPythonApplication rec {
  name = "obnam-${version}";
  version = "1.22";

  src = fetchurl {
    url = "http://code.liw.fi/debian/pool/main/o/obnam/obnam_${version}.orig.tar.xz";
    sha256 = "0z3absbcpdk8zmmi6n3vwmwyv0pnzy7lp1rcsymb292p04alcn3x";
  };

  patches = [ ./gpg-name.patch ];
  propagatedBuildInputs = with python2Packages; [ cliapp cmdtest fuse larch paramiko pyyaml tracing ttystatus ];

  makeWrapperArgs = [ "--prefix PATH : ${gnupg}/bin" ];

  meta = with stdenv.lib; {
    description = "Backup program supporting GPG encryption, SFTP, deduplication, generations.";
    homepage = "https://obnam.org";
    download = "https://code.liw.fi/debian/pool/main/o/obnam/";
    license = licenses.gpl3;
    maintainers = [ maintainers.spacefrogg ];
  };
}
