{ stdenv, fetchurl, rustPlatform, darwin, libsodium, pkgconfig, openssl }:

with rustPlatform;

buildRustPackage rec {
  name = "pijul-${version}";
  version = "0.11.0";

  src = fetchurl {
    url = "https://pijul.org/releases/${name}.tar.gz";
    sha256 = "1rdmnvl9mg3782b4sdmmzarfn1z5pan9i5jhsp0m942f2amr61z6";
  };

  sourceRoot = "${name}";

  buildInputs = (stdenv.lib.optionals stdenv.isDarwin
    (with darwin.apple_sdk.frameworks; [ Security ])) ++ [ libsodium pkgconfig openssl ];

  doCheck = false;

  cargoSha256 = "1r76azmka1d76ff0ddfhzr24b0ry496qrp13945i3vs0fgzk2sdz";

  meta = with stdenv.lib; {
    description = "A distributed version control system";
    homepage = https://pijul.org;
    license = with licenses; [ gpl2Plus ];
    maintainers = [ maintainers.gal_bolle ];
    platforms = platforms.all;
  };
}
